org.apache.xerces.impl

## Interface RevalidationHandler

- All Superinterfaces:
    org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.parser.XMLDocumentSource
  All Known Implementing Classes:
    XML11DTDValidator, XML11NSDTDValidator, XMLDTDValidator, XMLNSDTDValidator, XMLSchemaValidator

      public interface RevalidationHandler
      extends org.apache.xerces.xni.parser.XMLDocumentFilter

  DOM Revalidation handler adds additional functionality to XMLDocumentHandler
  Version:
    $Id: RevalidationHandler.java 446761 2006-09-15 21:59:29Z mrglavas $
  Author:
    Elena Litani, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `characterData(java.lang.String data, org.apache.xerces.xni.Augmentations augs)` Character content.

    - ### Methods inherited from interface org.apache.xerces.xni.XMLDocumentHandler

      `characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentSource, ignorableWhitespace, processingInstruction, setDocumentSource, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

    - ### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

      `getDocumentHandler, setDocumentHandler`

- - ### Method Detail

    - #### characterData

          boolean characterData(java.lang.String data,
                                org.apache.xerces.xni.Augmentations augs)

      Character content.
      Parameters:
        `data` - The character data.
        `augs` - Augmentations
      Returns:
        True if data is whitespace only

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.